{% include 'nav.html.twig' %}

<!DOCTYPE html>
<html lang="en">

<head> <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
  integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/css?family=Share" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Srisakdi" rel="stylesheet">
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <link href="https://fonts.googleapis.com/css?family=Share" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Srisakdi" rel="stylesheet">
  <title>Culture_Blog</title>
</head>
<style>
  body {
    background-color: wheat;
  }
  #each {
    margin-right: 20px;
    margin-left: 75px;
    margin-bottom: 40px;
    margin-top: 20px;
    border-radius: 5px;
  }
  #img {
    height: 250px;
    width: 250px;
    float: right;
    width: 300px;
    border: 3px solid #73AD21;
    padding: 10px;
  }
  #footer {
    font-size: 13px;
  }   
  .card {
    overflow: hidden;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    -webkit-transition: .25s box-shadow;
    transition: .25s box-shadow;
  }  
  .card:focus,
  .card:hover {
    box-shadow: 0 10px 25px 0 rgba(58, 55, 55, 0.1), 0 4px 15px 0 rgba(243, 79, 50, 0.1);
  }
</style>

<body>
  {% block navbar %}
  {% endblock %}

  {% block form %}
  <div class="row">
    {% for user in blogData %}
    <div class="card col-3 style=" width: 18rem;" id="each">
      <img class="card-img-top" src="https://via.placeholder.com/150" alt="image" id="img">
      <div class="card-body">
        <h3 class="card-title">{{ user.title|e }}</h3>
        <p class="card-text">
          <h5>{{ user.description|e }}</h5>
        </p>
        <p class="card-text">Last updated on: {{ user.createdAt|e }}</p>
        <hr class="my-4">
        <p>{{ user.author|e }}</p>
        <p class="lead">
          <p>
            <a class="btn btn-primary btn-lg" href="{{path('show_blog', {id: user.id}) }}" role="button">Read more</a>
          </p>
          {# <a class="btn btn-danger btn-lg" href="{{path('remove_blog', {id: user.id}) }}" role="button">Delete</a> #}
          <p>
            <a class="btn btn-warning" href="{{path('update_blog',{id: user.id}) }}">Update</a>
          </p>
        </p>
      </div>
    </div>

    {% endfor %}
  </div>
  {% endblock %}
</div>
<div class="card-footer" id="footer" style="text-align: center ">
  Copyright © 2019 Kalpesh Ghag (Special thanks to image sources)
</div>
</div>
</body>

</html>